### Hierarchy

- unknown
  - GetConnectionReply

## Index

### Constructors

- constructor

### Methods

- clearConnection
- getConnection
- hasConnection
- serializeBinary
- setConnection
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetConnectionReply(): GetConnectionReply

- Inherited from jspb.Message.constructor

  #### Returns GetConnectionReply

## Methods

### clearConnection

- clearConnection(): GetConnectionReply

- - Defined in src/protobuf/grpc_pb.d.ts:899

  #### Returns GetConnectionReply

### getConnection

- getConnection(): undefined | UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:896

  #### Returns undefined | UrlConnection

### hasConnection

- hasConnection(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:898

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:901

  #### Returns Uint8Array

### setConnection

- setConnection(value?: UrlConnection ): GetConnectionReply

- - Defined in src/protobuf/grpc_pb.d.ts:897

  #### Parameters

  - ##### Optional value: UrlConnection

  #### Returns GetConnectionReply

### toObject

- toObject(includeInstance?: boolean): GetConnectionReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:902

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetConnectionReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetConnectionReply

- - Defined in src/protobuf/grpc_pb.d.ts:905

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetConnectionReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetConnectionReply, reader: BinaryReader): GetConnectionReply

- - Defined in src/protobuf/grpc_pb.d.ts:906

  #### Parameters

  - ##### message: GetConnectionReply

  - ##### reader: BinaryReader

  #### Returns GetConnectionReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetConnectionReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:904

  #### Parameters

  - ##### message: GetConnectionReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetConnectionReply ): GetConnectionReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:903

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetConnectionReply

  #### Returns GetConnectionReply . AsObject

Generated using TypeDoc